Get job by ID
curl --request GET \
--url https://api.pyannote.ai/v1/jobs/{jobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pyannote.ai/v1/jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pyannote.ai/v1/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "fb16c565-f3f0-4402-a08c-9d44df0ccc7b",
"status": "pending",
"createdAt": "2024-02-20T12:00:00Z",
"updatedAt": "2024-02-20T12:00:00Z",
"output": {
"diarization": [
{
"speaker": "SPEAKER_00",
"start": 15,
"end": 30.5,
"confidence": {
"SPEAKER_00": 16,
"SPEAKER_01": 93
}
}
],
"confidence": {
"score": [
95,
89,
78,
67,
56,
45,
34,
23,
12,
1
],
"resolution": 0.02
},
"exclusiveDiarization": [
{
"speaker": "SPEAKER_00",
"start": 15,
"end": 30.5,
"confidence": {
"SPEAKER_00": 16,
"SPEAKER_01": 93
}
}
],
"speechProbability": {
"score": [
95,
89,
78,
67,
56,
45,
34,
23,
12,
1
],
"resolution": 0.02
},
"crosstalkProbability": {
"score": [
3,
8,
61,
74,
12,
4,
2,
1,
0,
0
],
"resolution": 0.02
},
"speakerProbability": {
"score": {
"SPEAKER_00": [
95,
89,
12
],
"SPEAKER_01": [
5,
11,
88
]
},
"resolution": 0.02
},
"wordLevelTranscription": [
{
"start": 0.5,
"end": 0.8,
"text": "Hello",
"speaker": "SPEAKER_00"
}
],
"turnLevelTranscription": [
{
"start": 0.5,
"end": 2.3,
"text": "Hello, how are you?",
"speaker": "SPEAKER_00"
}
],
"error": "<string>",
"warning": "<string>"
}
}{
"message": "Invalid request",
"errors": [
{
"field": "url",
"message": "Invalid URL"
}
]
}{
"requestId": "37a4c3a0-b034-4e8c-9ed9-76da6645544a",
"message": "Error message"
}{
"requestId": "37a4c3a0-b034-4e8c-9ed9-76da6645544a",
"message": "Error message"
}Jobs
Get Job
GET
/
v1
/
jobs
/
{jobId}
Get job by ID
This endpoint allows you to retrieve the details of a job that you have created, including the results if the job is completed.
Job output is deleted 24 hours after job completion
- The
outputfield contains the job results and is only available when the job status issucceeded. - Retrieve and store any output that you need before it is deleted.
- See Data retention for the full policy.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Job ID to track the progress
Response
- Diarization
- Voiceprint
- Identification
Job ID to track the progress or get the results
Example:
"fb16c565-f3f0-4402-a08c-9d44df0ccc7b"
Status of the job
Available options:
pending, created, succeeded, canceled, failed, running Date and time the job was created
Example:
"2024-02-20T12:00:00Z"
Date and time the job was last updated
Example:
"2024-02-20T12:00:00Z"
Output segments of a diarization, available for 24 hours after job completion
Show child attributes
Show child attributes